# Style Options: Media

The Style Options: Media module provides a Style Options plugin.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/style_options_media).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/style_options_media).

## Table of contents

- Features
- Requirements
- Installation
- Configuration
- Maintainers


## Features

The module includes the following plugin:

- **Background Media plugin:** Attach media items to components

## Requirements

This module requires:

* Style Options
* Media Library Form API Element
* For your media items to have a `background` view mode set. Otherwise it will use the `default` view mode.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

### Customizing Style Options

To configure Style Options for your project, follow these steps:

1. Within your style options configuration file `[module name].style_options.yml` or
   `[theme name].style_options.yml` include the new option `background_media`

## Maintainers

- Alejandro Madrigal  - [alemadlei](https://www.drupal.org/u/alemadlei)